Bug 18187 - SegFault of __strcpy() in glibc.so.6
Summary: SegFault of __strcpy() in glibc.so.6
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 06:50 UTC by Need Real Name
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 04:00:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of ncftp (rpm standard) (11.66 KB, text/plain)
2000-10-04 00:37 UTC, Need Real Name
no flags Details

Description Need Real Name 2000-10-03 06:50:17 UTC
/sbin/checkpc and syslogd both segfault for the same reason (ie, a call to __strcpy() in glibc.so.6, or atleast that's the point gdb returns a 
segfault).
Platform is an upgraded RH6.2 -> 7.0, K6-3 box.

Comment 1 Jakub Jelinek 2000-10-03 07:31:30 UTC
No, that probably means just a segfault somewhere in the main program which
has stripped symbols (try to compile a simple program calling strcpy and then
*(int *)0 = 0 in main, strip it and see what gdb shows you. The __strcpy symbol
comes from the .plt and as there are no more symbols, you get __strcpy+something.
So, could you please fill this as a sysklogd bug (but with description on how
you get it to segfault, it does not segfault for me - BTW: do you have the
security errata for sysklogd?) and I don't know where checkpc comes from?

Comment 2 Bill Nottingham 2000-10-03 13:42:11 UTC
checkpc is part of LPRng. What does rpm -q glibc say?

Comment 3 Need Real Name 2000-10-03 21:59:12 UTC
Okay... this isn't a sysklogd problem alone. checkpc, syslogd and ncftp all segfault. Nothing special needs to be done, just run them.
syslogd will run but rang (annoying as start up). Using the -d flag will make it segfault and core dump.
ncftp and checkpc just need to be run in order to create a segfault and core dump (yes, both).

rpm -q glibc returns glibc-2.1.92-14

Comment 4 Bill Nottingham 2000-10-03 22:12:39 UTC
Can you rebuild a debugging version of ncftp and get a backtrace
of where it crashes?

Do you have your locale set to anything in particular?

Comment 5 Need Real Name 2000-10-04 00:37:44 UTC
Created attachment 3698 [details]
strace of ncftp (rpm standard)

Comment 6 Need Real Name 2000-10-04 01:15:27 UTC
locale is set to en_US

Comment 7 Bill Nottingham 2000-10-04 01:24:33 UTC
Can you post your /etc/hosts file, and your /etc/nsswitch.conf?

Comment 8 Need Real Name 2000-10-04 04:00:54 UTC
Well... /etc/hosts was revealing. Removed the the last entry. Things don't segfault now. Closed(?).

## /etc/hosts
129.174.110.194	Minion.gmu.edu	Minion
127.0.0.1	localhost.localdomain	localhost
129.174.1.1	Minion	Minion


Note You need to log in before you can comment on or make changes to this bug.